//Névtér létrehozása
var T;
if (!T) {
    T = {};
};

//Segédfüggvények
var $ = T.$ = function(id) {
    return document.getElementById(id);
};
T.isNumber = function(n) {
    return !isNaN(parseFloat(n)) && isFinite(n);
};

//Feldolgozó függvények
T.kamat = {};
T.kamat.kamatSzamitas = function(alap, kamat) {
    return alap * (1 + kamat / 100);
};
T.kamat.kamatosKamatok = function(alap, kamat, ev) {
    var osszegek = [alap];
    for (var i = 0; i < ev; i++) {
        var alap = T.kamat.kamatSzamitas(alap, kamat);
        osszegek.push(alap);
    }
    return osszegek;
};

//IO függvények (eseménykezelők, kiírások)
T.kamat.osszegekbolSorok = function(osszegek) {
    var s = '';
    for (var i = 0; i < osszegek.length; i++) {
        s +=
            '<tr>' +
            '<td>' + i + '</td>' +
            '<td>' + Math.round(osszegek[i]) + '</td>' +
            '</tr>';
    };
    return s;
};
T.kamat.szamol = function() {
    try {
        //Beolvasás
        var alap = $('alap').value;
        var kamat = $('kamat').value;
        var ev = $('ev').value;


        //Feldolgozás
        var osszegek = T.kamat.kamatosKamatok(alap, kamat, ev);

        //Kiírás
        $('hiba').innerHTML = '';
        $('tablazat').innerHTML = T.kamat.osszegekbolSorok(osszegek);
    } catch (e) {
        $('tablazat').innerHTML = '';
        $('hiba').innerHTML = e.message;
    }
};
T.kamat.init = function() {
    //Eseménykezelők regisztrálása
    $('gomb').addEventListener('click', T.kamat.szamol, false);
};
window.addEventListener('load', T.kamat.init, false);